# ROX SDK for Ruby

[![Gem Version](https://badge.fury.io/rb/rox-rollout.svg)](https://badge.fury.io/rb/rox-rollout)

Ruby supported versions: 2.3.x, 2.4.x, 2.5.x, 2.6.x

## Run tests

Unit tests (folder tests)
```bash
bundle exec rake test
```

E2E tests (folder e2e)
```bash
bundle exec rake e2e
```

## Run linter (rubocop)

```bash
bundle exec rake lint
```

## Publish new version

1. Increment version in ```lib/rox/version.rb```, open a PR and wait for CI to complete workflows
2. Merge to master, wait for CI to complete workflows
2. Generate the gem package: ```gem build rox.gemspec```
3. Install gem locally, and test with a sample project
4. Upload to RubyGems: ```gem push rox-rollout-VERSION.gem```
5. Celebrate! 🎉
